# QCA::RSAPublicKey Class Reference
[QCA user API]

RSA Public Key. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::RSAPublicKey:

Collaboration diagram for QCA::RSAPublicKey:

[legend]

List of all members.

## Public Member Functions

BigInteger | e () const
BigInteger | n () const
| RSAPublicKey (const RSAPrivateKey &k)
| RSAPublicKey (const BigInteger &n, const BigInteger &e, const QString &provider=QString())
| RSAPublicKey ()

## Detailed Description

RSA Public Key.

## Constructor & Destructor Documentation

QCA::RSAPublicKey::RSAPublicKey | ( |  | ) |

Generate an empty RSA public key.

QCA::RSAPublicKey::RSAPublicKey | ( | const BigInteger & | n,
|  | const BigInteger & | e,
|  | const QString & | provider = `QString()` |
| ) |  |  |

Generate an RSA public key from specified parameters.

Parameters:

  | n | the public key value
  | e | the public key exponent
  | provider | the provider to use, if a particular provider is required

QCA::RSAPublicKey::RSAPublicKey | ( | const RSAPrivateKey & | k | ) |

Extract the public key components from an RSA private key.

Parameters:

  | k | the private key to use as the basis for the public key

## Member Function Documentation

BigInteger QCA::RSAPublicKey::e | ( |  | ) | const

The public key exponent.

This value is the exponent chosen in the original key generator step

BigInteger QCA::RSAPublicKey::n | ( |  | ) | const

The public key value.

This value is the actual public key value (the product of p and q, the random prime numbers used to generate the RSA key), also known as the public modulus.

The documentation for this class was generated from the following file:

- qca_publickey.h